Subject: FVWM: Warning..cannot allocate colormap entry..

From: [email-masked] (Jesus Medina)
Date: Fri, 8 Aug 1997 14:06:32 -0400

I am running fvwm-2.0.45. I am using AddTitleStyle to have the upper
bar of each window with a gradient color(if that is what they call it).

My setup is the following....

 AddTitleStyle   ActiveUp        HGradient 64 NavyBlue SteelBlue3

The same goes for ActiveDown, I vary the color slightly for Inactive windows.

When I invoke Netscape, the following warning appears...

   Warning: Cannot allocate default colormap entry

And Netscape's colors are gone, that is, I only see a somewhat black and white
Netscape interface. I commented the AddTitleStyle lines in my rc file and 
Netscape comes out normal, no warnings.

Can anyone explains why is this? or how I can possibly fix this problem.

At the moment I have the AddTitleStyle lines commented, but would like to
have that nice gradient on the upper bar working, along --of course-- with 
Netscape. 

I suspect Netscape is the culprit here, but I am not certain.

Thx.

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Mark J Hewitt <[email-masked]>
Date: Fri, 8 Aug 1997 19:44:36 +0000

> Can anyone explains why is this? or how I can possibly fix this problem.

Netscape allocates a very big colour map all to itself when it starts up.  
You have taken 64 of those colours into your title bars.  Unless you can 
support 16k colours or more, I would avoid the greedy title bars.  If you 
have an 8 bit colour depth (256 max. colours), there is a FAQ somewhere - 
sorry don't have the URL - that will help you tidy up that colour map.  I 
think there is something in the Afterstep distribution too.

You could also try invoking netscape with the -install switch to install 
its own colour map - but that might give you more psychedelia than a mere 
mortal can survive..:-)
-- 
Mark J. Hewitt      at home           [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Richard Lister <[email-masked]>
Date: Fri, 08 Aug 1997 15:04:00 -0400

On Fri, 8 Aug 1997 14:06:32 -0400
[email-masked] (Jesus Medina) 
> The same goes for ActiveDown, I vary the color slightly for Inactive windows.

It sounds like you might only have 8-bit graphics, meaning you have
a colourmap of only 256 colours. Giving the 64 argument to HGradient
eats up 64 of these colours. Your gradient looks very smooth, though! 

> Netscape comes out normal, no warnings.

Netscape requires, and will take, lots of colours. You can get around this
as a colourmap problem by starting Netscape as 'netscape -install',
which installs Netscape with its own colourmap, though you will
get flashing as you move in and out of the application window.

However, if you eat up 64 of 256 colours for each titlebar you're
probably going to have problems with other applications too.
The only solution with an 8-bit card is to reduce this number and
put up with rougher gradients. 

Ric

Richard J Lister, Georgetown Institute for Cognitive and Computational Sciences
Georgetown University Medical Center, Washington, DC.
Phone: 202-687 2878
Email: [email-masked] 
Web: http://www.giccs.georgetown.edu/

---

From: Cristian Tibirna <[email-masked]>
Date: Fri, 8 Aug 1997 18:16:39 -0400

Hi

Why would someone ever need 64 steps in the gradient title bar?

Suppose you have titlebars oh 24 pixels height. A 24 steps gradient
will allocate each row of your titlebar with yet another color in the
range you gave. Do you really nee that? Try to put 12 steps, or even
8. It will suffice certainely. Make some tests. I bet  a 64 steps
gradient will at any moment look better than a one of 24 steps. Maybe
only because of the loooong time it will take to be drawn, thus giving
a sexy lazyness effect :-).
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].